BeanUtil (Jackson module: Mr Bean 2.12.0 API)
Date: 2020-11-28

com.fasterxml.jackson.module.mrbean

## Class BeanUtil

- java.lang.Object
- - com.fasterxml.jackson.module.mrbean.BeanUtil

-     public class BeanUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<com.fasterxml.jackson.databind.JavaType>` | `findSuperTypes(com.fasterxml.jackson.databind.JavaType type, Class<?> endBefore)` Method that will find all sub-classes and implemented interfaces of a given class or interface.
    `static List<com.fasterxml.jackson.databind.JavaType>` | `findSuperTypes(com.fasterxml.jackson.databind.JavaType type, Class<?> endBefore, List<com.fasterxml.jackson.databind.JavaType> result)`
    `protected static boolean` | `isConcrete(Member member)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanUtil

          public BeanUtil()

  - ### Method Detail

    - #### isConcrete

          protected static boolean isConcrete(Member member)

    - #### findSuperTypes

          public static List<com.fasterxml.jackson.databind.JavaType> findSuperTypes(com.fasterxml.jackson.databind.JavaType type,
                                                                                     Class<?> endBefore)

      Method that will find all sub-classes and implemented interfaces of a given class or interface. Classes are listed in order of precedence, starting with the immediate super-class, followed by interfaces class directly declares to implemented, and then recursively followed by parent of super-class and so forth. Note that `Object.class` is not included in the list regardless of whether `endBefore` argument is defined or not.
      Parameters:
        `endBefore` - Super-type to NOT include in results, if any; when encountered, will be ignored (and no super types are checked).

    - #### findSuperTypes

          public static List<com.fasterxml.jackson.databind.JavaType> findSuperTypes(com.fasterxml.jackson.databind.JavaType type,
                                                                                     Class<?> endBefore,
                                                                                     List<com.fasterxml.jackson.databind.JavaType> result)

Copyright © 2020 FasterXML. All rights reserved.